Bug 107092 - [crash] Writer Forms - real problems: formating text, option-checkbox, background-colours
Summary: [crash] Writer Forms - real problems: formating text, option-checkbox, backgr...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.1.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: TooBusyNowNeedsFurtherTestingForPossi...
Keywords:
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2017-04-11 12:40 UTC by Thomas Krumbein
Modified: 2018-10-13 03:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
writer form document (125.37 KB, application/vnd.oasis.opendocument.text-template)
2017-04-11 12:40 UTC, Thomas Krumbein
Details
screenshot background-color new control element (54.12 KB, image/png)
2017-04-11 15:19 UTC, Thomas Krumbein
Details
Crash message (5.00 KB, image/png)
2017-10-10 06:57 UTC, Thomas Krumbein
Details
edit field - change possibilities (130.68 KB, image/png)
2017-10-10 06:58 UTC, Thomas Krumbein
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Krumbein 2017-04-11 12:40:42 UTC
Created attachment 132471 [details]
writer form document

I run in a lot of problems with a simple writer form - created in LO 5.1 and opened in 5.3.x.

I attached the form. 

Here a short overview of problems:

- all text input fields are textfields with formating - but try to format a input text: nothing happend. No bold text possible, no change of fonts will accept 
- option Check boxes (right side near botton) are not visible.
- all controll-fields do have a undefined background-colour - not changeble.
  colour is "Tango: himmelblau" with I do not use. 

If I open the form on a customs computer, all controllfields will have backgrund color "greygreen". 

- It is not possible to change the color.. 

When closing control-dialog and open it again - the old color is still present.

- playing around with Textproperties (sidebar) libo will crash 

- when selecting text in a Input box, and try to change font or something else, selection (highligthing) will disappear.

- when store a form, cursor and display will move to the last Input-box. 

So.. what happend to forms?

Doc was original created with 5.0.x or 5.1.x - on Win 10. Now we have only 5.2.x and 5.3.x in process - and a lot of problems.
Comment 1 Cor Nouws 2017-04-11 15:01:44 UTC
Hi Thomas

I compared 5.0.6 and 5.2.6 and a recent daily.

(In reply to Thomas Krumbein from comment #0)

> - all text input fields are textfields with formating - but try to format a
> input text: nothing happend. No bold text possible, no change of fonts will
> accept 

confirmed.
In 5.0.6 one can select and hit Ctrl+B. Doesn't work in 5.1.6.
In 5.0.6 and 5.1.6 one can select and use context menu.

> - option Check boxes (right side near botton) are not visible.

Not sure. I see #15, Rücksending gewünst.. in all versions.

> - all controll-fields do have a undefined background-colour - not changeble.
>   colour is "Tango: himmelblau" with I do not use. 

White for me in all versions.


> - playing around with Textproperties (sidebar) libo will crash 

Different bug? Please different issue.

> So.. what happend to forms?

Did you look for other bugs reported for forms?
thanks,
Cor
Comment 2 Thomas Krumbein 2017-04-11 15:19:06 UTC
Created attachment 132478 [details]
screenshot background-color new control element
Comment 3 Thomas Krumbein 2017-04-11 15:19:40 UTC
Hey Cor,


> > - all controll-fields do have a undefined background-colour - not changeble.
> >   colour is "Tango: himmelblau" with I do not use. 
> 
> White for me in all versions.
> 

shure?   

I just jecked it on a fresh Installation of LO 5.3.1.2 (64) and with a new Dok.

Color of a Control is "Chartheuse Green" - same as by customers. And you cannot change it - everytime fallback to this color.

See attaches screenshot.

best regards
Thomas
Comment 4 Alex Thurgood 2017-04-11 16:58:03 UTC
(In reply to Thomas Krumbein from comment #0)

Hi Thomas,

> - option Check boxes (right side near botton) are not visible.


Known bug, fixed in master, but not sure whether backported for 5.3.2






> - It is not possible to change the color.. 

Known bug, not yet fixed in master - linked to implementation of new colour palette management.



> 
> When closing control-dialog and open it again - the old color is still
> present.

Same (or similar) known bug as above.


These bugs are already reported in BZ (but I don't have the refs to hand).
Comment 5 Thomas Krumbein 2017-10-10 06:56:33 UTC
Additional informations Version 5.4.x  on Win 10 (64bit):

Crash when trying to change font or font-size:

Steps to reproduce:

Open document form - add some text in marked textfield ( formated textfield) and afterwards try to change font or font-size. 

It doen´t matter which toolbar you are using... LO crashed - see picture Crash - allert.

btw: it is not a good design to have three undependand toolbars visible with same or equalend functions.....
Comment 6 Thomas Krumbein 2017-10-10 06:57:15 UTC
Created attachment 136886 [details]
Crash message
Comment 7 Thomas Krumbein 2017-10-10 06:58:06 UTC
Created attachment 136887 [details]
edit field - change possibilities
Comment 8 Thomas Krumbein 2017-10-10 06:59:06 UTC
I add this bug to the list of the meta-bug #107742
Comment 9 Cor Nouws 2017-10-12 19:23:18 UTC
cut in different bugs, would be my advice ;)
Comment 10 QA Administrators 2018-10-13 03:14:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug